// PROXY init()

// Wrapper for the "init" function
function init_Wrapper_SelfNerf(target, args)
{
    // Run original function
    target(...args);

    // Run additional code
    const options = Engine.ReadJSONFile("gui/options/options~SelfNerf.json");
    g_Options = g_Options.concat(options);

    // TODO: translation. The expected command (below) raises an error
    // translateObjectKeys(g_Options, ["label", "tooltip"]);

    placeTabButtons(
	g_Options,
	false,
	g_TabButtonHeight,
	g_TabButtonDist,
	selectPanel,
	displayOptions
    );

    // Write default values if missing
    let settings = {};
    options.forEach(category => category.options.forEach(option => settings[option.config] = option.val.toString()));
    Object.keys(settings).filter(key => !Engine.ConfigDB_GetValue("user", key)).forEach(key => Engine.ConfigDB_CreateValue("user", key, settings[key]));
    Engine.ConfigDB_SaveChanges("user");

};

// Handler for the "init" function
const init_Handler_SelfNerf = {
    apply: function(target, thisArg, args) {
        return init_Wrapper_SelfNerf(target, args);
    }
};

// Proxy the "init" function
init = new Proxy(init, init_Handler_SelfNerf);
