var g_SelfNerf;

// PROXY init()

// Wrapper for the "init" function
function init_Wrapper_SelfNerf(target, args)
{
    // Run original function
    target(...args);

    // Run additional code
    if (g_IsReplay)
        return;

    g_SelfNerf = new SelfNerf();
}

// Handler for the "init" function
const init_Handler_SelfNerf = {
    apply: function(target, thisArg, args) {
        return init_Wrapper_SelfNerf(target, args);
    }
};

// Proxy the "init" function
init = new Proxy(init, init_Handler_SelfNerf);

// PROXY onTick()

// Wrapper for the "onTick" function
function onTick_Wrapper_SelfNerf(target, args)
{
    // Run original function
    target(...args);

    // Run additional code
    if (!g_SelfNerf)
        return;

    g_SelfNerf.update();
}

// Handler for the "onTick" function
const onTick_Handler_SelfNerf = {
    apply: function(target, thisArg, args) {
        return onTick_Wrapper_SelfNerf(target, args);
    }
};

// Proxy the "onTick" function
onTick = new Proxy(onTick, onTick_Handler_SelfNerf);
